com.corticon.rulesemf.operationsmodel

## Class OperatorNodeType

- java.lang.Object
- - org.eclipse.emf.common.util.AbstractEnumerator
  - - com.corticon.rulesemf.operationsmodel.OperatorNodeType

- All Implemented Interfaces:
    java.io.Serializable, org.eclipse.emf.common.util.Enumerator

      public final class OperatorNodeType
      extends org.eclipse.emf.common.util.AbstractEnumerator

  A representation of the literals of the enumeration 'Operator Node Type', and utility methods for working with them.
  See Also:
    `OperationsmodelPackage.getOperatorNodeType()`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `BINARY` The 'Binary' literal value
    `static OperatorNodeType` | `BINARY_LITERAL` The 'Binary' literal object
    `static int` | `COLLECTION` The 'Collection' literal value
    `static int` | `COLLECTION_EXTENDED` The 'Collection Extended' literal value
    `static OperatorNodeType` | `COLLECTION_EXTENDED_LITERAL` The 'Collection Extended' literal object
    `static OperatorNodeType` | `COLLECTION_LITERAL` The 'Collection' literal object
    `static int` | `FOLDER` The 'Folder' literal value
    `static OperatorNodeType` | `FOLDER_LITERAL` The 'Folder' literal object
    `static int` | `FUNCTION` The 'Function' literal value
    `static int` | `FUNCTION_EXTENDED` The 'Function Extended' literal value
    `static OperatorNodeType` | `FUNCTION_EXTENDED_LITERAL` The 'Function Extended' literal object
    `static OperatorNodeType` | `FUNCTION_LITERAL` The 'Function' literal object
    `static int` | `INTRINSIC_FUNCTION` The 'Intrinsic Function' literal value
    `static OperatorNodeType` | `INTRINSIC_FUNCTION_LITERAL` The 'Intrinsic Function' literal object
    `static int` | `LITERAL` The 'Literal' literal value
    `static OperatorNodeType` | `LITERAL_LITERAL` The 'Literal' literal object
    `static int` | `ROOT` The 'Root' literal value
    `static OperatorNodeType` | `ROOT_LITERAL` The 'Root' literal object
    `static int` | `UNARY` The 'Unary' literal value
    `static OperatorNodeType` | `UNARY_LITERAL` The 'Unary' literal object
    `static int` | `UNSPECIFIED` The 'Unspecified' literal value
    `static OperatorNodeType` | `UNSPECIFIED_LITERAL` The 'Unspecified' literal object
    `static java.util.List` | `VALUES` A public read-only list of all the 'Operator Node Type' enumerators

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OperatorNodeType` | `get(int value)` Returns the 'Operator Node Type' literal with the specified integer value
    `static OperatorNodeType` | `get(java.lang.String literal)` Returns the 'Operator Node Type' literal with the specified literal value
    `static OperatorNodeType` | `getByName(java.lang.String name)` Returns the 'Operator Node Type' literal with the specified name

    - ### Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator

      `getLiteral, getName, getValue, toString, writeReplace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### UNSPECIFIED

          public static final int UNSPECIFIED

      The 'Unspecified' literal value.

      If the meaning of 'Unspecified' literal object isn't clear, there really should be more of a description here...

      See Also:
        `UNSPECIFIED_LITERAL`, Constant Field Values

    - #### ROOT

          public static final int ROOT

      The 'Root' literal value.

      If the meaning of 'Root' literal object isn't clear, there really should be more of a description here...

      See Also:
        `ROOT_LITERAL`, Constant Field Values

    - #### FOLDER

          public static final int FOLDER

      The 'Folder' literal value.

      If the meaning of 'Folder' literal object isn't clear, there really should be more of a description here...

      See Also:
        `FOLDER_LITERAL`, Constant Field Values

    - #### LITERAL

          public static final int LITERAL

      The 'Literal' literal value.

      If the meaning of 'Literal' literal object isn't clear, there really should be more of a description here...

      See Also:
        `LITERAL_LITERAL`, Constant Field Values

    - #### BINARY

          public static final int BINARY

      The 'Binary' literal value.

      If the meaning of 'Binary' literal object isn't clear, there really should be more of a description here...

      See Also:
        `BINARY_LITERAL`, Constant Field Values

    - #### UNARY

          public static final int UNARY

      The 'Unary' literal value.

      If the meaning of 'Unary' literal object isn't clear, there really should be more of a description here...

      See Also:
        `UNARY_LITERAL`, Constant Field Values

    - #### FUNCTION

          public static final int FUNCTION

      The 'Function' literal value.

      If the meaning of 'Function' literal object isn't clear, there really should be more of a description here...

      See Also:
        `FUNCTION_LITERAL`, Constant Field Values

    - #### INTRINSIC_FUNCTION

          public static final int INTRINSIC_FUNCTION

      The 'Intrinsic Function' literal value.

      If the meaning of 'Intrinsic Function' literal object isn't clear, there really should be more of a description here...

      See Also:
        `INTRINSIC_FUNCTION_LITERAL`, Constant Field Values

    - #### COLLECTION

          public static final int COLLECTION

      The 'Collection' literal value.

      If the meaning of 'Collection' literal object isn't clear, there really should be more of a description here...

      See Also:
        `COLLECTION_LITERAL`, Constant Field Values

    - #### FUNCTION_EXTENDED

          public static final int FUNCTION_EXTENDED

      The 'Function Extended' literal value.

      If the meaning of 'Function Extended' literal object isn't clear, there really should be more of a description here...

      See Also:
        `FUNCTION_EXTENDED_LITERAL`, Constant Field Values

    - #### COLLECTION_EXTENDED

          public static final int COLLECTION_EXTENDED

      The 'Collection Extended' literal value.

      If the meaning of 'Collection Extended' literal object isn't clear, there really should be more of a description here...

      See Also:
        `COLLECTION_EXTENDED_LITERAL`, Constant Field Values

    - #### UNSPECIFIED_LITERAL

          public static final OperatorNodeType UNSPECIFIED_LITERAL

      The 'Unspecified' literal object.
      See Also:
        `UNSPECIFIED`

    - #### ROOT_LITERAL

          public static final OperatorNodeType ROOT_LITERAL

      The 'Root' literal object.
      See Also:
        `ROOT`

    - #### FOLDER_LITERAL

          public static final OperatorNodeType FOLDER_LITERAL

      The 'Folder' literal object.
      See Also:
        `FOLDER`

    - #### LITERAL_LITERAL

          public static final OperatorNodeType LITERAL_LITERAL

      The 'Literal' literal object.
      See Also:
        `LITERAL`

    - #### BINARY_LITERAL

          public static final OperatorNodeType BINARY_LITERAL

      The 'Binary' literal object.
      See Also:
        `BINARY`

    - #### UNARY_LITERAL

          public static final OperatorNodeType UNARY_LITERAL

      The 'Unary' literal object.
      See Also:
        `UNARY`

    - #### FUNCTION_LITERAL

          public static final OperatorNodeType FUNCTION_LITERAL

      The 'Function' literal object.
      See Also:
        `FUNCTION`

    - #### INTRINSIC_FUNCTION_LITERAL

          public static final OperatorNodeType INTRINSIC_FUNCTION_LITERAL

      The 'Intrinsic Function' literal object.
      See Also:
        `INTRINSIC_FUNCTION`

    - #### COLLECTION_LITERAL

          public static final OperatorNodeType COLLECTION_LITERAL

      The 'Collection' literal object.
      See Also:
        `COLLECTION`

    - #### FUNCTION_EXTENDED_LITERAL

          public static final OperatorNodeType FUNCTION_EXTENDED_LITERAL

      The 'Function Extended' literal object.
      See Also:
        `FUNCTION_EXTENDED`

    - #### COLLECTION_EXTENDED_LITERAL

          public static final OperatorNodeType COLLECTION_EXTENDED_LITERAL

      The 'Collection Extended' literal object.
      See Also:
        `COLLECTION_EXTENDED`

    - #### VALUES

          public static final java.util.List VALUES

      A public read-only list of all the 'Operator Node Type' enumerators.

  - ### Method Detail

    - #### get

          public static OperatorNodeType get(java.lang.String literal)

      Returns the 'Operator Node Type' literal with the specified literal value.

    - #### getByName

          public static OperatorNodeType getByName(java.lang.String name)

      Returns the 'Operator Node Type' literal with the specified name.

    - #### get

          public static OperatorNodeType get(int value)

      Returns the 'Operator Node Type' literal with the specified integer value.

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.